<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">



        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_empty_live_flag"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <ImageView
            android:id="@+id/im_empty_logo"
            android:layout_width="@dimen/dp_260"
            android:layout_height="@dimen/dp_230"
            android:layout_marginTop="8dp"
            android:background="@drawable/icon_empty_mine_course"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_empty_hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:gravity="center"
            android:lineSpacingExtra="4dp"
            android:text="您尚未开通直播服务\n开通后即可创建直播课程"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/im_empty_logo" />

        <TextView
            android:id="@+id/tv_open"
            android:layout_width="@dimen/dp_196"
            android:layout_height="@dimen/dp_44"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="25dp"
            android:background="@drawable/shape_course_status_ing"
            android:gravity="center"
            android:text="立即开通"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_empty_hint" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>